/*
  Project: Bluetooth HC-06 ZS-40 TEST using software serial library
  Function: Connect the HC-06 ZS-40 module and communicate using the serial monitor
            The HC-06 enters AT mode by default when powered on.The default baud rate is 9600.
            The HC-06 requires all AT commands to be in uppercase. NL+CR should not be added to the command string
            It must be No line editing selected in serial monitor and 9600 bps.
  Pins
  Arduino  - Bluetooth HC-06 ZS-40
  5V pin     VCC pin
  GND pin    GND pin
  Digital 3  RX pin through a voltage divider
  Digital 2  TX pin (no need voltage divider)
*/
//*********************************************************************
#include <SoftwareSerial.h>
//**********************************************************************
SoftwareSerial BTserial(2, 3); // RX | TX
// Connect the HC-06 TX to the Arduino RX on pin 2. 
// Connect the HC-06 RX to the Arduino TX on pin 3 through a voltage divider.
 
void setup() 
{
    Serial.begin(9600);
    BTserial.begin(9600);  
}
 
void loop()
{
     // Keep reading from HC-06 and send to Arduino Serial Monitor
    if (BTserial.available())
    {  
        Serial.write(BTserial.read());
    }
    // Keep reading from Arduino Serial Monitor and send to HC-06
    if (Serial.available())
    {
        BTserial.write(Serial.read());
    }
 }
